<?php

namespace STM\Team\Member;

use STM\StmFactory;

/**
 * Test class for TeamMember.
 * Generated by PHPUnit on 2012-03-30 at 16:47:15.
 * @group team_member
 */
class TeamMemberTest extends \PHPUnit_Framework_TestCase {

    private $team;
    private $person;
    private $team_members;

    protected function setUp() {
        $this->team = StmFactory::find()->Team->findById(1);
        $this->person = StmFactory::find()->Person->findById(1);
        $this->team_members = $this->team ? StmFactory::find()->TeamMember->findByTeam($this->team) : array();
    }

    public function testfindById() {
        foreach ($this->team_members as $team_member) {            
            parent::assertInstanceOf('\STM\Team\Member\TeamMember', StmFactory::find()->TeamMember->findById($team_member->getId()));
        }
        // argument must be numeric
        parent::assertFalse(StmFactory::find()->TeamMember->findById('makovp'));
        parent::assertFalse(StmFactory::find()->TeamMember->findById(null));
    }

    public function testCreate() {
        parent::markTestSkipped('test in TeamMemberValidatorTest');
    }

    public function testUpdate() {
        parent::markTestSkipped('test in TeamMemberValidatorTest');
    }

    public function testDelete() {
        parent::markTestSkipped('only DB fail');
    }

    public function testUpdate_dress_number() {
        parent::markTestSkipped('test in TeamMemberValidatorTest');
    }

    public function testCreate_team_player() {
        foreach ($this->team_members as $team_member) {            
            if ($team_member->isTeamPlayer()) {
                parent::assertFalse($team_member->createTeamPlayer());
            }
        }
    }

    public function testDelete_team_player() {
        foreach ($this->team_members as $team_member) {            
            if (!$team_member->isTeamPlayer()) {
                parent::assertFalse($team_member->deleteTeamPlayer());
            }
        }
    }
}

?>